Subject: Re: [http-state] Incorrect example in Section 3.1 of draft-ietf-httpstate-cookie-05

From: Adam Barth <[email-masked]>
Date: Sat, 3 Apr 2010 17:33:39 -0700

The issue is corrected at top-of-tree:

http://github.com/abarth/http-state/blob/master/drafts/cookie.xml#L176

I need to incorporate the feedback from IETF77 and then I'll push an
updated draft.

Thanks,
Adam

On Sat, Apr 3, 2010 at 5:16 PM, David Kilzer <[email-masked]> wrote:
> In Section 3.1 of
> <https://datatracker.ietf.org/doc/draft-ietf-httpstate-cookie/> there is
> this example:
>
>    == Server -> User Agent ==
>    Set-Cookie: SID=31d4d96e407aad42; Path=/; Secure, HttpOnly
>    Set-Cookie: lang=en-US; Path=/; Domain=.example.com
>
> However, the separator between "Secure" and "HttpOnly" is a comma (",")
> instead of a semi-colon (";").
> Based on the ABNF used in Section 4.1.1, this is not a (fully) valid header.
> I'm assuming that the examples in this section should be valid, so you may
> wish to fix this.
> Dave
>